Package com.ocient.jdbc.proto

## Interface PlanProtocol.OperatorOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `PlanProtocol.Operator`, `PlanProtocol.Operator.Builder`

Enclosing class:
  PlanProtocol

    public static interface PlanProtocol.OperatorOrBuilder
    extends com.google.protobuf.MessageOrBuilder

### Method Summary

All Methods Instance Methods Abstract Methods
`PlanProtocol.AggregationOperator` `getAggregationOperator()` `.xg.db.sqlPlans.AggregationOperator aggregation_operator = 32;`
`PlanProtocol.AggregationOperatorOrBuilder` `getAggregationOperatorOrBuilder()` `.xg.db.sqlPlans.AggregationOperator aggregation_operator = 32;`
`PlanProtocol.AvgColSizeVirtualOperator` `getAvgColSizeVirtualOperator()` `.xg.db.sqlPlans.AvgColSizeVirtualOperator avg_col_size_virtual_operator = 79;`
`PlanProtocol.AvgColSizeVirtualOperatorOrBuilder` `getAvgColSizeVirtualOperatorOrBuilder()` `.xg.db.sqlPlans.AvgColSizeVirtualOperator avg_col_size_virtual_operator = 79;`
`int` `getBranchIndex()` `uint32 branch_index = 23;`
`PlanProtocol.BroadcastOperator` `getBroadcastOperator()` `.xg.db.sqlPlans.BroadcastOperator broadcast_operator = 64;`
`PlanProtocol.BroadcastOperatorOrBuilder` `getBroadcastOperatorOrBuilder()` `.xg.db.sqlPlans.BroadcastOperator broadcast_operator = 64;`
`int` `getChildIndex()` these are calculated by level-1(sql-node) vm compilation process
`PlanProtocol.Operator` `getChildren​(int index)` The children of this operator - order does matter
`int` `getChildrenCount()` The children of this operator - order does matter
`List<PlanProtocol.Operator>` `getChildrenList()` The children of this operator - order does matter
`PlanProtocol.OperatorOrBuilder` `getChildrenOrBuilder​(int index)` The children of this operator - order does matter
`List<? extends PlanProtocol.OperatorOrBuilder>` `getChildrenOrBuilderList()` The children of this operator - order does matter
`long` `getColCard​(int index)` The estimated # of unique values for each col (in the same order)
`int` `getColCardCount()` The estimated # of unique values for each col (in the same order)
`List<Long>` `getColCardList()` The estimated # of unique values for each col (in the same order)
`PlanProtocol.ColCardVirtualOperator` `getColCardVirtualOperator()` `.xg.db.sqlPlans.ColCardVirtualOperator col_card_virtual_operator = 78;`
`PlanProtocol.ColCardVirtualOperatorOrBuilder` `getColCardVirtualOperatorOrBuilder()` `.xg.db.sqlPlans.ColCardVirtualOperator col_card_virtual_operator = 78;`
`PlanProtocol.ColDistVirtualOperator` `getColDistVirtualOperator()` `.xg.db.sqlPlans.ColDistVirtualOperator col_dist_virtual_operator = 80;`
`PlanProtocol.ColDistVirtualOperatorOrBuilder` `getColDistVirtualOperatorOrBuilder()` `.xg.db.sqlPlans.ColDistVirtualOperator col_dist_virtual_operator = 80;`
`int` `getColSizes​(int index)` the average size of each output column
`int` `getColSizesCount()` the average size of each output column
`List<Integer>` `getColSizesList()` the average size of each output column
`PlanProtocol.ColumnEmitterOperator` `getColumnEmitterOperator()` `.xg.db.sqlPlans.ColumnEmitterOperator column_emitter_operator = 54;`
`PlanProtocol.ColumnEmitterOperatorOrBuilder` `getColumnEmitterOperatorOrBuilder()` `.xg.db.sqlPlans.ColumnEmitterOperator column_emitter_operator = 54;`
`double` `getCost()` The cost for this operator as determined by the optimizer
`long` `getDistanceFromLeaf()` `uint64 distance_from_leaf = 21;`
`PlanProtocol.EosOperator` `getEosOperator()` `.xg.db.sqlPlans.EosOperator eos_operator = 61;`
`PlanProtocol.EosOperatorOrBuilder` `getEosOperatorOrBuilder()` `.xg.db.sqlPlans.EosOperator eos_operator = 61;`
`PlanProtocol.ErrorOperator` `getErrorOperator()` `.xg.db.sqlPlans.ErrorOperator error_operator = 66;`
`PlanProtocol.ErrorOperatorOrBuilder` `getErrorOperatorOrBuilder()` `.xg.db.sqlPlans.ErrorOperator error_operator = 66;`
`int` `getErrorPartition​(int index)` errorPartition = UNIT_MAX => apply the error on all partitions
`int` `getErrorPartitionCount()` errorPartition = UNIT_MAX => apply the error on all partitions
`List<Integer>` `getErrorPartitionList()` errorPartition = UNIT_MAX => apply the error on all partitions
`int` `getErrorTktLevel​(int index)` 0 => tkt Leaf, >0 => tkt AUX, UINT_MAX => on all tkt levels
`int` `getErrorTktLevelCount()` 0 => tkt Leaf, >0 => tkt AUX, UINT_MAX => on all tkt levels
`List<Integer>` `getErrorTktLevelList()` 0 => tkt Leaf, >0 => tkt AUX, UINT_MAX => on all tkt levels
`PlanProtocol.Operator.ErrorType` `getErrorType()` `.xg.db.sqlPlans.Operator.ErrorType errorType = 16;`
`int` `getErrorTypeValue()` `.xg.db.sqlPlans.Operator.ErrorType errorType = 16;`
`PlanProtocol.ExceptOperator` `getExceptOperator()` `.xg.db.sqlPlans.ExceptOperator except_operator = 57;`
`PlanProtocol.ExceptOperatorOrBuilder` `getExceptOperatorOrBuilder()` `.xg.db.sqlPlans.ExceptOperator except_operator = 57;`
`PlanProtocol.ExtendOperator` `getExtendOperator()` `.xg.db.sqlPlans.ExtendOperator extend_operator = 33;`
`PlanProtocol.ExtendOperatorOrBuilder` `getExtendOperatorOrBuilder()` `.xg.db.sqlPlans.ExtendOperator extend_operator = 33;`
`boolean` `getExternal()` If true, the operator should run externally
`PlanProtocol.GatherOperator` `getGatherOperator()` `.xg.db.sqlPlans.GatherOperator gather_operator = 34;`
`PlanProtocol.GatherOperatorOrBuilder` `getGatherOperatorOrBuilder()` `.xg.db.sqlPlans.GatherOperator gather_operator = 34;`
`PlanProtocol.GdcLookupOperator` `getGdcLookupOperator()` `.xg.db.sqlPlans.GdcLookupOperator gdc_lookup_operator = 73;`
`PlanProtocol.GdcLookupOperatorOrBuilder` `getGdcLookupOperatorOrBuilder()` `.xg.db.sqlPlans.GdcLookupOperator gdc_lookup_operator = 73;`
`PlanProtocol.GenerateOperator` `getGenerateOperator()` `.xg.db.sqlPlans.GenerateOperator generate_operator = 50;`
`PlanProtocol.GenerateOperatorOrBuilder` `getGenerateOperatorOrBuilder()` `.xg.db.sqlPlans.GenerateOperator generate_operator = 50;`
`PlanProtocol.HashJoinOperator` `getHashJoinOperator()` `.xg.db.sqlPlans.HashJoinOperator hash_join_operator = 60;`
`PlanProtocol.HashJoinOperatorOrBuilder` `getHashJoinOperatorOrBuilder()` `.xg.db.sqlPlans.HashJoinOperator hash_join_operator = 60;`
`String` `getId()` The id of the operator (used for referencing to a previously defined operator) If type is REFERENCE, then this is the id of the operator being referenced This is a uuid
`com.google.protobuf.ByteString` `getIdBytes()` The id of the operator (used for referencing to a previously defined operator) If type is REFERENCE, then this is the id of the operator being referenced This is a uuid
`PlanProtocol.IncrementingBigIntOperator` `getIncrementingBigintOperator()` `.xg.db.sqlPlans.IncrementingBigIntOperator incrementing_bigint_operator = 71;`
`PlanProtocol.IncrementingBigIntOperatorOrBuilder` `getIncrementingBigintOperatorOrBuilder()` `.xg.db.sqlPlans.IncrementingBigIntOperator incrementing_bigint_operator = 71;`
`PlanProtocol.IncrementingIntOperator` `getIncrementingIntOperator()` `.xg.db.sqlPlans.IncrementingIntOperator incrementing_int_operator = 49;`
`PlanProtocol.IncrementingIntOperatorOrBuilder` `getIncrementingIntOperatorOrBuilder()` `.xg.db.sqlPlans.IncrementingIntOperator incrementing_int_operator = 49;`
`PlanProtocol.IndexAggOperator` `getIndexAggOperator()` `.xg.db.sqlPlans.IndexAggOperator index_agg_operator = 67;`
`PlanProtocol.IndexAggOperatorOrBuilder` `getIndexAggOperatorOrBuilder()` `.xg.db.sqlPlans.IndexAggOperator index_agg_operator = 67;`
`PlanProtocol.IndexCountStarOperator` `getIndexCountStarOperator()` `.xg.db.sqlPlans.IndexCountStarOperator index_count_star_operator = 72;`
`PlanProtocol.IndexCountStarOperatorOrBuilder` `getIndexCountStarOperatorOrBuilder()` `.xg.db.sqlPlans.IndexCountStarOperator index_count_star_operator = 72;`
`PlanProtocol.IndexDistinctOperator` `getIndexDistinctOperator()` `.xg.db.sqlPlans.IndexDistinctOperator index_distinct_operator = 69;`
`PlanProtocol.IndexDistinctOperatorOrBuilder` `getIndexDistinctOperatorOrBuilder()` `.xg.db.sqlPlans.IndexDistinctOperator index_distinct_operator = 69;`
`PlanProtocol.IndexOperator` `getIndexOperator()` `.xg.db.sqlPlans.IndexOperator index_operator = 35;`
`PlanProtocol.IndexOperatorOrBuilder` `getIndexOperatorOrBuilder()` `.xg.db.sqlPlans.IndexOperator index_operator = 35;`
`PlanProtocol.IntersectOperator` `getIntersectOperator()` `.xg.db.sqlPlans.IntersectOperator intersect_operator = 56;`
`PlanProtocol.IntersectOperatorOrBuilder` `getIntersectOperatorOrBuilder()` `.xg.db.sqlPlans.IntersectOperator intersect_operator = 56;`
`PlanProtocol.LimitOperator` `getLimitOperator()` `.xg.db.sqlPlans.LimitOperator limit_operator = 36;`
`PlanProtocol.LimitOperatorOrBuilder` `getLimitOperatorOrBuilder()` `.xg.db.sqlPlans.LimitOperator limit_operator = 36;`
`PlanProtocol.MakeVectorOperator` `getMakeVectorOperator()` `.xg.db.sqlPlans.MakeVectorOperator make_vector_operator = 45;`
`PlanProtocol.MakeVectorOperatorOrBuilder` `getMakeVectorOperatorOrBuilder()` `.xg.db.sqlPlans.MakeVectorOperator make_vector_operator = 45;`
`PlanProtocol.MatrixExtendOperator` `getMatrixExtendOperator()` `.xg.db.sqlPlans.MatrixExtendOperator matrix_extend_operator = 47;`
`PlanProtocol.MatrixExtendOperatorOrBuilder` `getMatrixExtendOperatorOrBuilder()` `.xg.db.sqlPlans.MatrixExtendOperator matrix_extend_operator = 47;`
`long` `getMemoryUsage()` The estimated number of bytes of memory needed by this operator (may be zero)
`PlanProtocol.ModifySchemaOperator` `getModifySchemaOperator()` `.xg.db.sqlPlans.ModifySchemaOperator modify_schema_operator = 75;`
`PlanProtocol.ModifySchemaOperatorOrBuilder` `getModifySchemaOperatorOrBuilder()` `.xg.db.sqlPlans.ModifySchemaOperator modify_schema_operator = 75;`
`int` `getNumDistinctParents()` `uint32 numDistinctParents = 20;`
`int` `getNumParents()` `uint32 numParents = 14;`
`PlanProtocol.OffsetOperator` `getOffsetOperator()` `.xg.db.sqlPlans.OffsetOperator offset_operator = 37;`
`PlanProtocol.OffsetOperatorOrBuilder` `getOffsetOperatorOrBuilder()` `.xg.db.sqlPlans.OffsetOperator offset_operator = 37;`
`PlanProtocol.OrderedAggOperator` `getOrderedAggOperator()` `.xg.db.sqlPlans.OrderedAggOperator ordered_agg_operator = 68;`
`PlanProtocol.OrderedAggOperatorOrBuilder` `getOrderedAggOperatorOrBuilder()` `.xg.db.sqlPlans.OrderedAggOperator ordered_agg_operator = 68;`
`PlanProtocol.OrderedDistinctOperator` `getOrderedDistinctOperator()` `.xg.db.sqlPlans.OrderedDistinctOperator ordered_distinct_operator = 70;`
`PlanProtocol.OrderedDistinctOperatorOrBuilder` `getOrderedDistinctOperatorOrBuilder()` `.xg.db.sqlPlans.OrderedDistinctOperator ordered_distinct_operator = 70;`
`PlanProtocol.OrderedGatherOperator` `getOrderedGatherOperator()` `.xg.db.sqlPlans.OrderedGatherOperator ordered_gather_operator = 38;`
`PlanProtocol.OrderedGatherOperatorOrBuilder` `getOrderedGatherOperatorOrBuilder()` `.xg.db.sqlPlans.OrderedGatherOperator ordered_gather_operator = 38;`
`long` `getOutputCardinality()` The estimated number of rows produced by this operator
`String` `getOutputColumns​(int index)` The columns that come out of this operator
`com.google.protobuf.ByteString` `getOutputColumnsBytes​(int index)` The columns that come out of this operator
`int` `getOutputColumnsCount()` The columns that come out of this operator
`List<String>` `getOutputColumnsList()` The columns that come out of this operator
`boolean` `getOutputIsNullable​(int index)` Which output columns are nullable?
`int` `getOutputIsNullableCount()` Which output columns are nullable?
`List<Boolean>` `getOutputIsNullableList()` Which output columns are nullable?
`PlanProtocol.SqlColType` `getOutputTypes​(int index)` The types for each of those columns (in the same order)
`int` `getOutputTypesCount()` The types for each of those columns (in the same order)
`List<PlanProtocol.SqlColType>` `getOutputTypesList()` The types for each of those columns (in the same order)
`int` `getOutputTypesValue​(int index)` The types for each of those columns (in the same order)
`List<Integer>` `getOutputTypesValueList()` The types for each of those columns (in the same order)
`int` `getPartitionCounts​(int index)` `repeated uint32 partition_counts = 25;`
`int` `getPartitionCountsCount()` `repeated uint32 partition_counts = 25;`
`List<Integer>` `getPartitionCountsList()` `repeated uint32 partition_counts = 25;`
`int` `getPartitionIndex()` `uint32 partition_index = 24;`
`PlanProtocol.EquivalentPartitioning` `getPartitioning​(int index)` If there is a guarantee on how the data is partitioned (all rows with the same values in some cols or set of cols are guaranteed to be on the same node) when it leaves this operator, the indexes that define the partitioning are listed here
`int` `getPartitioningCount()` If there is a guarantee on how the data is partitioned (all rows with the same values in some cols or set of cols are guaranteed to be on the same node) when it leaves this operator, the indexes that define the partitioning are listed here
`List<PlanProtocol.EquivalentPartitioning>` `getPartitioningList()` If there is a guarantee on how the data is partitioned (all rows with the same values in some cols or set of cols are guaranteed to be on the same node) when it leaves this operator, the indexes that define the partitioning are listed here
`PlanProtocol.EquivalentPartitioningOrBuilder` `getPartitioningOrBuilder​(int index)` If there is a guarantee on how the data is partitioned (all rows with the same values in some cols or set of cols are guaranteed to be on the same node) when it leaves this operator, the indexes that define the partitioning are listed here
`List<? extends PlanProtocol.EquivalentPartitioningOrBuilder>` `getPartitioningOrBuilderList()` If there is a guarantee on how the data is partitioned (all rows with the same values in some cols or set of cols are guaranteed to be on the same node) when it leaves this operator, the indexes that define the partitioning are listed here
`PlanProtocol.ProductOperator` `getProductOperator()` `.xg.db.sqlPlans.ProductOperator product_operator = 59;`
`PlanProtocol.ProductOperatorOrBuilder` `getProductOperatorOrBuilder()` `.xg.db.sqlPlans.ProductOperator product_operator = 59;`
`PlanProtocol.ProjectOutOperator` `getProjectOutOperator()` `.xg.db.sqlPlans.ProjectOutOperator project_out_operator = 39;`
`PlanProtocol.ProjectOutOperatorOrBuilder` `getProjectOutOperatorOrBuilder()` `.xg.db.sqlPlans.ProjectOutOperator project_out_operator = 39;`
`PlanProtocol.QueriesVirtualOperator` `getQueriesVirtualOperator()` `.xg.db.sqlPlans.QueriesVirtualOperator queries_virtual_operator = 52;`
`PlanProtocol.QueriesVirtualOperatorOrBuilder` `getQueriesVirtualOperatorOrBuilder()` `.xg.db.sqlPlans.QueriesVirtualOperator queries_virtual_operator = 52;`
`PlanProtocol.RandomIntOperator` `getRandomIntOperator()` `.xg.db.sqlPlans.RandomIntOperator random_int_operator = 53;`
`PlanProtocol.RandomIntOperatorOrBuilder` `getRandomIntOperatorOrBuilder()` `.xg.db.sqlPlans.RandomIntOperator random_int_operator = 53;`
`PlanProtocol.ReferenceOperator` `getReferenceOperator()` `.xg.db.sqlPlans.ReferenceOperator reference_operator = 74;`
`PlanProtocol.ReferenceOperatorOrBuilder` `getReferenceOperatorOrBuilder()` `.xg.db.sqlPlans.ReferenceOperator reference_operator = 74;`
`PlanProtocol.RenameOperator` `getRenameOperator()` `.xg.db.sqlPlans.RenameOperator rename_operator = 40;`
`PlanProtocol.RenameOperatorOrBuilder` `getRenameOperatorOrBuilder()` `.xg.db.sqlPlans.RenameOperator rename_operator = 40;`
`PlanProtocol.ReorderOperator` `getReorderOperator()` `.xg.db.sqlPlans.ReorderOperator reorder_operator = 41;`
`PlanProtocol.ReorderOperatorOrBuilder` `getReorderOperatorOrBuilder()` `.xg.db.sqlPlans.ReorderOperator reorder_operator = 41;`
`PlanProtocol.Operator.RequestOneofCase` `getRequestOneofCase()`
`PlanProtocol.RootOperator` `getRootOperator()` `.xg.db.sqlPlans.RootOperator root_operator = 44;`
`PlanProtocol.RootOperatorOrBuilder` `getRootOperatorOrBuilder()` `.xg.db.sqlPlans.RootOperator root_operator = 44;`
`PlanProtocol.SelectOperator` `getSelectOperator()` `.xg.db.sqlPlans.SelectOperator select_operator = 42;`
`PlanProtocol.SelectOperatorOrBuilder` `getSelectOperatorOrBuilder()` `.xg.db.sqlPlans.SelectOperator select_operator = 42;`
`PlanProtocol.ShuffleOperator` `getShuffleOperator()` `.xg.db.sqlPlans.ShuffleOperator shuffle_operator = 63;`
`PlanProtocol.ShuffleOperatorOrBuilder` `getShuffleOperatorOrBuilder()` `.xg.db.sqlPlans.ShuffleOperator shuffle_operator = 63;`
`boolean` `getSortDirections​(int index)` For all the indexes listed in sortOrder (if any), there is a corresponding entry in sortDirections Indicating whether data is sorted ascending (true) or descending (false) by that column
`int` `getSortDirectionsCount()` For all the indexes listed in sortOrder (if any), there is a corresponding entry in sortDirections Indicating whether data is sorted ascending (true) or descending (false) by that column
`List<Boolean>` `getSortDirectionsList()` For all the indexes listed in sortOrder (if any), there is a corresponding entry in sortDirections Indicating whether data is sorted ascending (true) or descending (false) by that column
`PlanProtocol.SortOperator` `getSortOperator()` `.xg.db.sqlPlans.SortOperator sort_operator = 43;`
`PlanProtocol.SortOperatorOrBuilder` `getSortOperatorOrBuilder()` `.xg.db.sqlPlans.SortOperator sort_operator = 43;`
`int` `getSortOrder​(int index)` If there is a guarantee that the data is sorted when it leaves this operator The indexes (based on outputColumns) are listed here to specify which columns dictate the sort order
`int` `getSortOrderCount()` If there is a guarantee that the data is sorted when it leaves this operator The indexes (based on outputColumns) are listed here to specify which columns dictate the sort order
`List<Integer>` `getSortOrderList()` If there is a guarantee that the data is sorted when it leaves this operator The indexes (based on outputColumns) are listed here to specify which columns dictate the sort order
`String` `getStorageSpaceUuids​(int index)` `repeated string storage_space_uuids = 26;`
`com.google.protobuf.ByteString` `getStorageSpaceUuidsBytes​(int index)` `repeated string storage_space_uuids = 26;`
`int` `getStorageSpaceUuidsCount()` `repeated string storage_space_uuids = 26;`
`List<String>` `getStorageSpaceUuidsList()` `repeated string storage_space_uuids = 26;`
`PlanProtocol.SuperSelectOperator` `getSuperSelectOperator()` `.xg.db.sqlPlans.SuperSelectOperator super_select_operator = 51;`
`PlanProtocol.SuperSelectOperatorOrBuilder` `getSuperSelectOperatorOrBuilder()` `.xg.db.sqlPlans.SuperSelectOperator super_select_operator = 51;`
`PlanProtocol.SwitchOperator` `getSwitchOperator()` `.xg.db.sqlPlans.SwitchOperator switch_operator = 58;`
`PlanProtocol.SwitchOperatorOrBuilder` `getSwitchOperatorOrBuilder()` `.xg.db.sqlPlans.SwitchOperator switch_operator = 58;`
`PlanProtocol.SystemConfigurationVirtualOperator` `getSystemConfigurationVirtualOperator()` `.xg.db.sqlPlans.SystemConfigurationVirtualOperator system_configuration_virtual_operator = 76;`
`PlanProtocol.SystemConfigurationVirtualOperatorOrBuilder` `getSystemConfigurationVirtualOperatorOrBuilder()` `.xg.db.sqlPlans.SystemConfigurationVirtualOperator system_configuration_virtual_operator = 76;`
`PlanProtocol.TableCardVirtualOperator` `getTableCardVirtualOperator()` `.xg.db.sqlPlans.TableCardVirtualOperator table_card_virtual_operator = 77;`
`PlanProtocol.TableCardVirtualOperatorOrBuilder` `getTableCardVirtualOperatorOrBuilder()` `.xg.db.sqlPlans.TableCardVirtualOperator table_card_virtual_operator = 77;`
`PlanProtocol.TableScanOperator` `getTableScanOperator()` `.xg.db.sqlPlans.TableScanOperator table_scan_operator = 48;`
`PlanProtocol.TableScanOperatorOrBuilder` `getTableScanOperatorOrBuilder()` `.xg.db.sqlPlans.TableScanOperator table_scan_operator = 48;`
`PlanProtocol.TeeOperator` `getTeeOperator()` `.xg.db.sqlPlans.TeeOperator tee_operator = 62;`
`PlanProtocol.TeeOperatorOrBuilder` `getTeeOperatorOrBuilder()` `.xg.db.sqlPlans.TeeOperator tee_operator = 62;`
`long` `getTestoomflags​(int index)` Vector of OOM flags for testing
`int` `getTestoomflagsCount()` Vector of OOM flags for testing
`List<Long>` `getTestoomflagsList()` Vector of OOM flags for testing
`PlanProtocol.Operator.OperatorType` `getType()` `.xg.db.sqlPlans.Operator.OperatorType type = 1;`
`int` `getTypeValue()` `.xg.db.sqlPlans.Operator.OperatorType type = 1;`
`PlanProtocol.UnionOperator` `getUnionOperator()` `.xg.db.sqlPlans.UnionOperator union_operator = 55;`
`PlanProtocol.UnionOperatorOrBuilder` `getUnionOperatorOrBuilder()` `.xg.db.sqlPlans.UnionOperator union_operator = 55;`
`PlanProtocol.UnmakeVectorOperator` `getUnmakeVectorOperator()` `.xg.db.sqlPlans.UnmakeVectorOperator unmake_vector_operator = 46;`
`PlanProtocol.UnmakeVectorOperatorOrBuilder` `getUnmakeVectorOperatorOrBuilder()` `.xg.db.sqlPlans.UnmakeVectorOperator unmake_vector_operator = 46;`
`boolean` `getUpstreamPartitionSensitive()` `bool upstream_partition_sensitive = 27;`
`PlanProtocol.WindowOperator` `getWindowOperator()` `.xg.db.sqlPlans.WindowOperator window_operator = 65;`
`PlanProtocol.WindowOperatorOrBuilder` `getWindowOperatorOrBuilder()` `.xg.db.sqlPlans.WindowOperator window_operator = 65;`
`boolean` `hasAggregationOperator()` `.xg.db.sqlPlans.AggregationOperator aggregation_operator = 32;`
`boolean` `hasAvgColSizeVirtualOperator()` `.xg.db.sqlPlans.AvgColSizeVirtualOperator avg_col_size_virtual_operator = 79;`
`boolean` `hasBroadcastOperator()` `.xg.db.sqlPlans.BroadcastOperator broadcast_operator = 64;`
`boolean` `hasColCardVirtualOperator()` `.xg.db.sqlPlans.ColCardVirtualOperator col_card_virtual_operator = 78;`
`boolean` `hasColDistVirtualOperator()` `.xg.db.sqlPlans.ColDistVirtualOperator col_dist_virtual_operator = 80;`
`boolean` `hasColumnEmitterOperator()` `.xg.db.sqlPlans.ColumnEmitterOperator column_emitter_operator = 54;`
`boolean` `hasEosOperator()` `.xg.db.sqlPlans.EosOperator eos_operator = 61;`
`boolean` `hasErrorOperator()` `.xg.db.sqlPlans.ErrorOperator error_operator = 66;`
`boolean` `hasExceptOperator()` `.xg.db.sqlPlans.ExceptOperator except_operator = 57;`
`boolean` `hasExtendOperator()` `.xg.db.sqlPlans.ExtendOperator extend_operator = 33;`
`boolean` `hasGatherOperator()` `.xg.db.sqlPlans.GatherOperator gather_operator = 34;`
`boolean` `hasGdcLookupOperator()` `.xg.db.sqlPlans.GdcLookupOperator gdc_lookup_operator = 73;`
`boolean` `hasGenerateOperator()` `.xg.db.sqlPlans.GenerateOperator generate_operator = 50;`
`boolean` `hasHashJoinOperator()` `.xg.db.sqlPlans.HashJoinOperator hash_join_operator = 60;`
`boolean` `hasIncrementingBigintOperator()` `.xg.db.sqlPlans.IncrementingBigIntOperator incrementing_bigint_operator = 71;`
`boolean` `hasIncrementingIntOperator()` `.xg.db.sqlPlans.IncrementingIntOperator incrementing_int_operator = 49;`
`boolean` `hasIndexAggOperator()` `.xg.db.sqlPlans.IndexAggOperator index_agg_operator = 67;`
`boolean` `hasIndexCountStarOperator()` `.xg.db.sqlPlans.IndexCountStarOperator index_count_star_operator = 72;`
`boolean` `hasIndexDistinctOperator()` `.xg.db.sqlPlans.IndexDistinctOperator index_distinct_operator = 69;`
`boolean` `hasIndexOperator()` `.xg.db.sqlPlans.IndexOperator index_operator = 35;`
`boolean` `hasIntersectOperator()` `.xg.db.sqlPlans.IntersectOperator intersect_operator = 56;`
`boolean` `hasLimitOperator()` `.xg.db.sqlPlans.LimitOperator limit_operator = 36;`
`boolean` `hasMakeVectorOperator()` `.xg.db.sqlPlans.MakeVectorOperator make_vector_operator = 45;`
`boolean` `hasMatrixExtendOperator()` `.xg.db.sqlPlans.MatrixExtendOperator matrix_extend_operator = 47;`
`boolean` `hasModifySchemaOperator()` `.xg.db.sqlPlans.ModifySchemaOperator modify_schema_operator = 75;`
`boolean` `hasOffsetOperator()` `.xg.db.sqlPlans.OffsetOperator offset_operator = 37;`
`boolean` `hasOrderedAggOperator()` `.xg.db.sqlPlans.OrderedAggOperator ordered_agg_operator = 68;`
`boolean` `hasOrderedDistinctOperator()` `.xg.db.sqlPlans.OrderedDistinctOperator ordered_distinct_operator = 70;`
`boolean` `hasOrderedGatherOperator()` `.xg.db.sqlPlans.OrderedGatherOperator ordered_gather_operator = 38;`
`boolean` `hasProductOperator()` `.xg.db.sqlPlans.ProductOperator product_operator = 59;`
`boolean` `hasProjectOutOperator()` `.xg.db.sqlPlans.ProjectOutOperator project_out_operator = 39;`
`boolean` `hasQueriesVirtualOperator()` `.xg.db.sqlPlans.QueriesVirtualOperator queries_virtual_operator = 52;`
`boolean` `hasRandomIntOperator()` `.xg.db.sqlPlans.RandomIntOperator random_int_operator = 53;`
`boolean` `hasReferenceOperator()` `.xg.db.sqlPlans.ReferenceOperator reference_operator = 74;`
`boolean` `hasRenameOperator()` `.xg.db.sqlPlans.RenameOperator rename_operator = 40;`
`boolean` `hasReorderOperator()` `.xg.db.sqlPlans.ReorderOperator reorder_operator = 41;`
`boolean` `hasRootOperator()` `.xg.db.sqlPlans.RootOperator root_operator = 44;`
`boolean` `hasSelectOperator()` `.xg.db.sqlPlans.SelectOperator select_operator = 42;`
`boolean` `hasShuffleOperator()` `.xg.db.sqlPlans.ShuffleOperator shuffle_operator = 63;`
`boolean` `hasSortOperator()` `.xg.db.sqlPlans.SortOperator sort_operator = 43;`
`boolean` `hasSuperSelectOperator()` `.xg.db.sqlPlans.SuperSelectOperator super_select_operator = 51;`
`boolean` `hasSwitchOperator()` `.xg.db.sqlPlans.SwitchOperator switch_operator = 58;`
`boolean` `hasSystemConfigurationVirtualOperator()` `.xg.db.sqlPlans.SystemConfigurationVirtualOperator system_configuration_virtual_operator = 76;`
`boolean` `hasTableCardVirtualOperator()` `.xg.db.sqlPlans.TableCardVirtualOperator table_card_virtual_operator = 77;`
`boolean` `hasTableScanOperator()` `.xg.db.sqlPlans.TableScanOperator table_scan_operator = 48;`
`boolean` `hasTeeOperator()` `.xg.db.sqlPlans.TeeOperator tee_operator = 62;`
`boolean` `hasUnionOperator()` `.xg.db.sqlPlans.UnionOperator union_operator = 55;`
`boolean` `hasUnmakeVectorOperator()` `.xg.db.sqlPlans.UnmakeVectorOperator unmake_vector_operator = 46;`
`boolean` `hasWindowOperator()` `.xg.db.sqlPlans.WindowOperator window_operator = 65;`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Method Detail

#### getTypeValue

    int getTypeValue()

`.xg.db.sqlPlans.Operator.OperatorType type = 1;`

Returns:
  The enum numeric value on the wire for type.

#### getType

    PlanProtocol.Operator.OperatorType getType()

`.xg.db.sqlPlans.Operator.OperatorType type = 1;`

Returns:
  The type.

#### getId

    String getId()

    The id of the operator (used for referencing to a previously defined operator)
    If type is REFERENCE, then this is the id of the operator being referenced
    This is a uuid

`string id = 2;`

Returns:
  The id.

#### getIdBytes

    com.google.protobuf.ByteString getIdBytes()

    The id of the operator (used for referencing to a previously defined operator)
    If type is REFERENCE, then this is the id of the operator being referenced
    This is a uuid

`string id = 2;`

Returns:
  The bytes for id.

#### getChildrenList

    List<PlanProtocol.Operator> getChildrenList()

    The children of this operator - order does matter

`repeated .xg.db.sqlPlans.Operator children = 3;`

#### getChildren

    PlanProtocol.Operator getChildren​(int index)

    The children of this operator - order does matter

`repeated .xg.db.sqlPlans.Operator children = 3;`

#### getChildrenCount

    int getChildrenCount()

    The children of this operator - order does matter

`repeated .xg.db.sqlPlans.Operator children = 3;`

#### getChildrenOrBuilderList

    List<? extends PlanProtocol.OperatorOrBuilder> getChildrenOrBuilderList()

    The children of this operator - order does matter

`repeated .xg.db.sqlPlans.Operator children = 3;`

#### getChildrenOrBuilder

    PlanProtocol.OperatorOrBuilder getChildrenOrBuilder​(int index)

    The children of this operator - order does matter

`repeated .xg.db.sqlPlans.Operator children = 3;`

#### getOutputColumnsList

    List<String> getOutputColumnsList()

    The columns that come out of this operator

`repeated string outputColumns = 4;`

Returns:
  A list containing the outputColumns.

#### getOutputColumnsCount

    int getOutputColumnsCount()

    The columns that come out of this operator

`repeated string outputColumns = 4;`

Returns:
  The count of outputColumns.

#### getOutputColumns

    String getOutputColumns​(int index)

    The columns that come out of this operator

`repeated string outputColumns = 4;`

Parameters:
  `index` - The index of the element to return.
Returns:
  The outputColumns at the given index.

#### getOutputColumnsBytes

    com.google.protobuf.ByteString getOutputColumnsBytes​(int index)

    The columns that come out of this operator

`repeated string outputColumns = 4;`

Parameters:
  `index` - The index of the value to return.
Returns:
  The bytes of the outputColumns at the given index.

#### getOutputTypesList

    List<PlanProtocol.SqlColType> getOutputTypesList()

    The types for each of those columns (in the same order)

`repeated .xg.db.sqlPlans.SqlColType outputTypes = 5;`

Returns:
  A list containing the outputTypes.

#### getOutputTypesCount

    int getOutputTypesCount()

    The types for each of those columns (in the same order)

`repeated .xg.db.sqlPlans.SqlColType outputTypes = 5;`

Returns:
  The count of outputTypes.

#### getOutputTypes

    PlanProtocol.SqlColType getOutputTypes​(int index)

    The types for each of those columns (in the same order)

`repeated .xg.db.sqlPlans.SqlColType outputTypes = 5;`

Parameters:
  `index` - The index of the element to return.
Returns:
  The outputTypes at the given index.

#### getOutputTypesValueList

    List<Integer> getOutputTypesValueList()

    The types for each of those columns (in the same order)

`repeated .xg.db.sqlPlans.SqlColType outputTypes = 5;`

Returns:
  A list containing the enum numeric values on the wire for outputTypes.

#### getOutputTypesValue

    int getOutputTypesValue​(int index)

    The types for each of those columns (in the same order)

`repeated .xg.db.sqlPlans.SqlColType outputTypes = 5;`

Parameters:
  `index` - The index of the value to return.
Returns:
  The enum numeric value on the wire of outputTypes at the given index.

#### getColCardList

    List<Long> getColCardList()

    The estimated # of unique values for each col (in the same order)

`repeated uint64 colCard = 6;`

Returns:
  A list containing the colCard.

#### getColCardCount

    int getColCardCount()

    The estimated # of unique values for each col (in the same order)

`repeated uint64 colCard = 6;`

Returns:
  The count of colCard.

#### getColCard

    long getColCard​(int index)

    The estimated # of unique values for each col (in the same order)

`repeated uint64 colCard = 6;`

Parameters:
  `index` - The index of the element to return.
Returns:
  The colCard at the given index.

#### getOutputCardinality

    long getOutputCardinality()

    The estimated number of rows produced by this operator

`uint64 outputCardinality = 7;`

Returns:
  The outputCardinality.

#### getMemoryUsage

    long getMemoryUsage()

    The estimated number of bytes of memory needed by this operator (may be zero)

`uint64 memoryUsage = 8;`

Returns:
  The memoryUsage.

#### getCost

    double getCost()

    The cost for this operator as determined by the optimizer

`double cost = 9;`

Returns:
  The cost.

#### getSortOrderList

    List<Integer> getSortOrderList()

    If there is a guarantee that the data is sorted when it leaves this operator
    The indexes (based on outputColumns) are listed here to specify which columns dictate the sort order

`repeated uint32 sortOrder = 10;`

Returns:
  A list containing the sortOrder.

#### getSortOrderCount

    int getSortOrderCount()

    If there is a guarantee that the data is sorted when it leaves this operator
    The indexes (based on outputColumns) are listed here to specify which columns dictate the sort order

`repeated uint32 sortOrder = 10;`

Returns:
  The count of sortOrder.

#### getSortOrder

    int getSortOrder​(int index)

    If there is a guarantee that the data is sorted when it leaves this operator
    The indexes (based on outputColumns) are listed here to specify which columns dictate the sort order

`repeated uint32 sortOrder = 10;`

Parameters:
  `index` - The index of the element to return.
Returns:
  The sortOrder at the given index.

#### getSortDirectionsList

    List<Boolean> getSortDirectionsList()

    For all the indexes listed in sortOrder (if any), there is a corresponding entry in sortDirections
    Indicating whether data is sorted ascending (true) or descending (false) by that column

`repeated bool sortDirections = 11;`

Returns:
  A list containing the sortDirections.

#### getSortDirectionsCount

    int getSortDirectionsCount()

    For all the indexes listed in sortOrder (if any), there is a corresponding entry in sortDirections
    Indicating whether data is sorted ascending (true) or descending (false) by that column

`repeated bool sortDirections = 11;`

Returns:
  The count of sortDirections.

#### getSortDirections

    boolean getSortDirections​(int index)

    For all the indexes listed in sortOrder (if any), there is a corresponding entry in sortDirections
    Indicating whether data is sorted ascending (true) or descending (false) by that column

`repeated bool sortDirections = 11;`

Parameters:
  `index` - The index of the element to return.
Returns:
  The sortDirections at the given index.

#### getPartitioningList

    List<PlanProtocol.EquivalentPartitioning> getPartitioningList()

    If there is a guarantee on how the data is partitioned (all rows with the same values in some cols
    or set of cols are guaranteed to be on the same node) when it leaves this operator,
    the indexes that define the partitioning are listed here

`repeated .xg.db.sqlPlans.EquivalentPartitioning partitioning = 12;`

#### getPartitioning

    PlanProtocol.EquivalentPartitioning getPartitioning​(int index)

    If there is a guarantee on how the data is partitioned (all rows with the same values in some cols
    or set of cols are guaranteed to be on the same node) when it leaves this operator,
    the indexes that define the partitioning are listed here

`repeated .xg.db.sqlPlans.EquivalentPartitioning partitioning = 12;`

#### getPartitioningCount

    int getPartitioningCount()

    If there is a guarantee on how the data is partitioned (all rows with the same values in some cols
    or set of cols are guaranteed to be on the same node) when it leaves this operator,
    the indexes that define the partitioning are listed here

`repeated .xg.db.sqlPlans.EquivalentPartitioning partitioning = 12;`

#### getPartitioningOrBuilderList

    List<? extends PlanProtocol.EquivalentPartitioningOrBuilder> getPartitioningOrBuilderList()

    If there is a guarantee on how the data is partitioned (all rows with the same values in some cols
    or set of cols are guaranteed to be on the same node) when it leaves this operator,
    the indexes that define the partitioning are listed here

`repeated .xg.db.sqlPlans.EquivalentPartitioning partitioning = 12;`

#### getPartitioningOrBuilder

    PlanProtocol.EquivalentPartitioningOrBuilder getPartitioningOrBuilder​(int index)

    If there is a guarantee on how the data is partitioned (all rows with the same values in some cols
    or set of cols are guaranteed to be on the same node) when it leaves this operator,
    the indexes that define the partitioning are listed here

`repeated .xg.db.sqlPlans.EquivalentPartitioning partitioning = 12;`

#### getOutputIsNullableList

    List<Boolean> getOutputIsNullableList()

    Which output columns are nullable?

`repeated bool outputIsNullable = 13;`

Returns:
  A list containing the outputIsNullable.

#### getOutputIsNullableCount

    int getOutputIsNullableCount()

    Which output columns are nullable?

`repeated bool outputIsNullable = 13;`

Returns:
  The count of outputIsNullable.

#### getOutputIsNullable

    boolean getOutputIsNullable​(int index)

    Which output columns are nullable?

`repeated bool outputIsNullable = 13;`

Parameters:
  `index` - The index of the element to return.
Returns:
  The outputIsNullable at the given index.

#### getNumParents

    int getNumParents()

`uint32 numParents = 14;`

Returns:
  The numParents.

#### getColSizesList

    List<Integer> getColSizesList()

    the average size of each output column

`repeated uint32 colSizes = 15;`

Returns:
  A list containing the colSizes.

#### getColSizesCount

    int getColSizesCount()

    the average size of each output column

`repeated uint32 colSizes = 15;`

Returns:
  The count of colSizes.

#### getColSizes

    int getColSizes​(int index)

    the average size of each output column

`repeated uint32 colSizes = 15;`

Parameters:
  `index` - The index of the element to return.
Returns:
  The colSizes at the given index.

#### getErrorTypeValue

    int getErrorTypeValue()

`.xg.db.sqlPlans.Operator.ErrorType errorType = 16;`

Returns:
  The enum numeric value on the wire for errorType.

#### getErrorType

    PlanProtocol.Operator.ErrorType getErrorType()

`.xg.db.sqlPlans.Operator.ErrorType errorType = 16;`

Returns:
  The errorType.

#### getErrorPartitionList

    List<Integer> getErrorPartitionList()

     errorPartition = UNIT_MAX => apply the error on all partitions

`repeated uint32 errorPartition = 17;`

Returns:
  A list containing the errorPartition.

#### getErrorPartitionCount

    int getErrorPartitionCount()

     errorPartition = UNIT_MAX => apply the error on all partitions

`repeated uint32 errorPartition = 17;`

Returns:
  The count of errorPartition.

#### getErrorPartition

    int getErrorPartition​(int index)

     errorPartition = UNIT_MAX => apply the error on all partitions

`repeated uint32 errorPartition = 17;`

Parameters:
  `index` - The index of the element to return.
Returns:
  The errorPartition at the given index.

#### getErrorTktLevelList

    List<Integer> getErrorTktLevelList()

     0 => tkt Leaf, >0 => tkt AUX, UINT_MAX => on all tkt levels

`repeated uint32 errorTktLevel = 18;`

Returns:
  A list containing the errorTktLevel.

#### getErrorTktLevelCount

    int getErrorTktLevelCount()

     0 => tkt Leaf, >0 => tkt AUX, UINT_MAX => on all tkt levels

`repeated uint32 errorTktLevel = 18;`

Returns:
  The count of errorTktLevel.

#### getErrorTktLevel

    int getErrorTktLevel​(int index)

     0 => tkt Leaf, >0 => tkt AUX, UINT_MAX => on all tkt levels

`repeated uint32 errorTktLevel = 18;`

Parameters:
  `index` - The index of the element to return.
Returns:
  The errorTktLevel at the given index.

#### getExternal

    boolean getExternal()

    If true, the operator should run externally

`bool external = 19;`

Returns:
  The external.

#### getNumDistinctParents

    int getNumDistinctParents()

`uint32 numDistinctParents = 20;`

Returns:
  The numDistinctParents.

#### getDistanceFromLeaf

    long getDistanceFromLeaf()

`uint64 distance_from_leaf = 21;`

Returns:
  The distanceFromLeaf.

#### getChildIndex

    int getChildIndex()

     these are calculated by level-1(sql-node) vm compilation process

`uint32 child_index = 22;`

Returns:
  The childIndex.

#### getBranchIndex

    int getBranchIndex()

`uint32 branch_index = 23;`

Returns:
  The branchIndex.

#### getPartitionIndex

    int getPartitionIndex()

`uint32 partition_index = 24;`

Returns:
  The partitionIndex.

#### getPartitionCountsList

    List<Integer> getPartitionCountsList()

`repeated uint32 partition_counts = 25;`

Returns:
  A list containing the partitionCounts.

#### getPartitionCountsCount

    int getPartitionCountsCount()

`repeated uint32 partition_counts = 25;`

Returns:
  The count of partitionCounts.

#### getPartitionCounts

    int getPartitionCounts​(int index)

`repeated uint32 partition_counts = 25;`

Parameters:
  `index` - The index of the element to return.
Returns:
  The partitionCounts at the given index.

#### getStorageSpaceUuidsList

    List<String> getStorageSpaceUuidsList()

`repeated string storage_space_uuids = 26;`

Returns:
  A list containing the storageSpaceUuids.

#### getStorageSpaceUuidsCount

    int getStorageSpaceUuidsCount()

`repeated string storage_space_uuids = 26;`

Returns:
  The count of storageSpaceUuids.

#### getStorageSpaceUuids

    String getStorageSpaceUuids​(int index)

`repeated string storage_space_uuids = 26;`

Parameters:
  `index` - The index of the element to return.
Returns:
  The storageSpaceUuids at the given index.

#### getStorageSpaceUuidsBytes

    com.google.protobuf.ByteString getStorageSpaceUuidsBytes​(int index)

`repeated string storage_space_uuids = 26;`

Parameters:
  `index` - The index of the value to return.
Returns:
  The bytes of the storageSpaceUuids at the given index.

#### getUpstreamPartitionSensitive

    boolean getUpstreamPartitionSensitive()

`bool upstream_partition_sensitive = 27;`

Returns:
  The upstreamPartitionSensitive.

#### hasAggregationOperator

    boolean hasAggregationOperator()

`.xg.db.sqlPlans.AggregationOperator aggregation_operator = 32;`

Returns:
  Whether the aggregationOperator field is set.

#### getAggregationOperator

    PlanProtocol.AggregationOperator getAggregationOperator()

`.xg.db.sqlPlans.AggregationOperator aggregation_operator = 32;`

Returns:
  The aggregationOperator.

#### getAggregationOperatorOrBuilder

    PlanProtocol.AggregationOperatorOrBuilder getAggregationOperatorOrBuilder()

`.xg.db.sqlPlans.AggregationOperator aggregation_operator = 32;`

#### hasExtendOperator

    boolean hasExtendOperator()

`.xg.db.sqlPlans.ExtendOperator extend_operator = 33;`

Returns:
  Whether the extendOperator field is set.

#### getExtendOperator

    PlanProtocol.ExtendOperator getExtendOperator()

`.xg.db.sqlPlans.ExtendOperator extend_operator = 33;`

Returns:
  The extendOperator.

#### getExtendOperatorOrBuilder

    PlanProtocol.ExtendOperatorOrBuilder getExtendOperatorOrBuilder()

`.xg.db.sqlPlans.ExtendOperator extend_operator = 33;`

#### hasGatherOperator

    boolean hasGatherOperator()

`.xg.db.sqlPlans.GatherOperator gather_operator = 34;`

Returns:
  Whether the gatherOperator field is set.

#### getGatherOperator

    PlanProtocol.GatherOperator getGatherOperator()

`.xg.db.sqlPlans.GatherOperator gather_operator = 34;`

Returns:
  The gatherOperator.

#### getGatherOperatorOrBuilder

    PlanProtocol.GatherOperatorOrBuilder getGatherOperatorOrBuilder()

`.xg.db.sqlPlans.GatherOperator gather_operator = 34;`

#### hasIndexOperator

    boolean hasIndexOperator()

`.xg.db.sqlPlans.IndexOperator index_operator = 35;`

Returns:
  Whether the indexOperator field is set.

#### getIndexOperator

    PlanProtocol.IndexOperator getIndexOperator()

`.xg.db.sqlPlans.IndexOperator index_operator = 35;`

Returns:
  The indexOperator.

#### getIndexOperatorOrBuilder

    PlanProtocol.IndexOperatorOrBuilder getIndexOperatorOrBuilder()

`.xg.db.sqlPlans.IndexOperator index_operator = 35;`

#### hasLimitOperator

    boolean hasLimitOperator()

`.xg.db.sqlPlans.LimitOperator limit_operator = 36;`

Returns:
  Whether the limitOperator field is set.

#### getLimitOperator

    PlanProtocol.LimitOperator getLimitOperator()

`.xg.db.sqlPlans.LimitOperator limit_operator = 36;`

Returns:
  The limitOperator.

#### getLimitOperatorOrBuilder

    PlanProtocol.LimitOperatorOrBuilder getLimitOperatorOrBuilder()

`.xg.db.sqlPlans.LimitOperator limit_operator = 36;`

#### hasOffsetOperator

    boolean hasOffsetOperator()

`.xg.db.sqlPlans.OffsetOperator offset_operator = 37;`

Returns:
  Whether the offsetOperator field is set.

#### getOffsetOperator

    PlanProtocol.OffsetOperator getOffsetOperator()

`.xg.db.sqlPlans.OffsetOperator offset_operator = 37;`

Returns:
  The offsetOperator.

#### getOffsetOperatorOrBuilder

    PlanProtocol.OffsetOperatorOrBuilder getOffsetOperatorOrBuilder()

`.xg.db.sqlPlans.OffsetOperator offset_operator = 37;`

#### hasOrderedGatherOperator

    boolean hasOrderedGatherOperator()

`.xg.db.sqlPlans.OrderedGatherOperator ordered_gather_operator = 38;`

Returns:
  Whether the orderedGatherOperator field is set.

#### getOrderedGatherOperator

    PlanProtocol.OrderedGatherOperator getOrderedGatherOperator()

`.xg.db.sqlPlans.OrderedGatherOperator ordered_gather_operator = 38;`

Returns:
  The orderedGatherOperator.

#### getOrderedGatherOperatorOrBuilder

    PlanProtocol.OrderedGatherOperatorOrBuilder getOrderedGatherOperatorOrBuilder()

`.xg.db.sqlPlans.OrderedGatherOperator ordered_gather_operator = 38;`

#### hasProjectOutOperator

    boolean hasProjectOutOperator()

`.xg.db.sqlPlans.ProjectOutOperator project_out_operator = 39;`

Returns:
  Whether the projectOutOperator field is set.

#### getProjectOutOperator

    PlanProtocol.ProjectOutOperator getProjectOutOperator()

`.xg.db.sqlPlans.ProjectOutOperator project_out_operator = 39;`

Returns:
  The projectOutOperator.

#### getProjectOutOperatorOrBuilder

    PlanProtocol.ProjectOutOperatorOrBuilder getProjectOutOperatorOrBuilder()

`.xg.db.sqlPlans.ProjectOutOperator project_out_operator = 39;`

#### hasRenameOperator

    boolean hasRenameOperator()

`.xg.db.sqlPlans.RenameOperator rename_operator = 40;`

Returns:
  Whether the renameOperator field is set.

#### getRenameOperator

    PlanProtocol.RenameOperator getRenameOperator()

`.xg.db.sqlPlans.RenameOperator rename_operator = 40;`

Returns:
  The renameOperator.

#### getRenameOperatorOrBuilder

    PlanProtocol.RenameOperatorOrBuilder getRenameOperatorOrBuilder()

`.xg.db.sqlPlans.RenameOperator rename_operator = 40;`

#### hasReorderOperator

    boolean hasReorderOperator()

`.xg.db.sqlPlans.ReorderOperator reorder_operator = 41;`

Returns:
  Whether the reorderOperator field is set.

#### getReorderOperator

    PlanProtocol.ReorderOperator getReorderOperator()

`.xg.db.sqlPlans.ReorderOperator reorder_operator = 41;`

Returns:
  The reorderOperator.

#### getReorderOperatorOrBuilder

    PlanProtocol.ReorderOperatorOrBuilder getReorderOperatorOrBuilder()

`.xg.db.sqlPlans.ReorderOperator reorder_operator = 41;`

#### hasSelectOperator

    boolean hasSelectOperator()

`.xg.db.sqlPlans.SelectOperator select_operator = 42;`

Returns:
  Whether the selectOperator field is set.

#### getSelectOperator

    PlanProtocol.SelectOperator getSelectOperator()

`.xg.db.sqlPlans.SelectOperator select_operator = 42;`

Returns:
  The selectOperator.

#### getSelectOperatorOrBuilder

    PlanProtocol.SelectOperatorOrBuilder getSelectOperatorOrBuilder()

`.xg.db.sqlPlans.SelectOperator select_operator = 42;`

#### hasSortOperator

    boolean hasSortOperator()

`.xg.db.sqlPlans.SortOperator sort_operator = 43;`

Returns:
  Whether the sortOperator field is set.

#### getSortOperator

    PlanProtocol.SortOperator getSortOperator()

`.xg.db.sqlPlans.SortOperator sort_operator = 43;`

Returns:
  The sortOperator.

#### getSortOperatorOrBuilder

    PlanProtocol.SortOperatorOrBuilder getSortOperatorOrBuilder()

`.xg.db.sqlPlans.SortOperator sort_operator = 43;`

#### hasRootOperator

    boolean hasRootOperator()

`.xg.db.sqlPlans.RootOperator root_operator = 44;`

Returns:
  Whether the rootOperator field is set.

#### getRootOperator

    PlanProtocol.RootOperator getRootOperator()

`.xg.db.sqlPlans.RootOperator root_operator = 44;`

Returns:
  The rootOperator.

#### getRootOperatorOrBuilder

    PlanProtocol.RootOperatorOrBuilder getRootOperatorOrBuilder()

`.xg.db.sqlPlans.RootOperator root_operator = 44;`

#### hasMakeVectorOperator

    boolean hasMakeVectorOperator()

`.xg.db.sqlPlans.MakeVectorOperator make_vector_operator = 45;`

Returns:
  Whether the makeVectorOperator field is set.

#### getMakeVectorOperator

    PlanProtocol.MakeVectorOperator getMakeVectorOperator()

`.xg.db.sqlPlans.MakeVectorOperator make_vector_operator = 45;`

Returns:
  The makeVectorOperator.

#### getMakeVectorOperatorOrBuilder

    PlanProtocol.MakeVectorOperatorOrBuilder getMakeVectorOperatorOrBuilder()

`.xg.db.sqlPlans.MakeVectorOperator make_vector_operator = 45;`

#### hasUnmakeVectorOperator

    boolean hasUnmakeVectorOperator()

`.xg.db.sqlPlans.UnmakeVectorOperator unmake_vector_operator = 46;`

Returns:
  Whether the unmakeVectorOperator field is set.

#### getUnmakeVectorOperator

    PlanProtocol.UnmakeVectorOperator getUnmakeVectorOperator()

`.xg.db.sqlPlans.UnmakeVectorOperator unmake_vector_operator = 46;`

Returns:
  The unmakeVectorOperator.

#### getUnmakeVectorOperatorOrBuilder

    PlanProtocol.UnmakeVectorOperatorOrBuilder getUnmakeVectorOperatorOrBuilder()

`.xg.db.sqlPlans.UnmakeVectorOperator unmake_vector_operator = 46;`

#### hasMatrixExtendOperator

    boolean hasMatrixExtendOperator()

`.xg.db.sqlPlans.MatrixExtendOperator matrix_extend_operator = 47;`

Returns:
  Whether the matrixExtendOperator field is set.

#### getMatrixExtendOperator

    PlanProtocol.MatrixExtendOperator getMatrixExtendOperator()

`.xg.db.sqlPlans.MatrixExtendOperator matrix_extend_operator = 47;`

Returns:
  The matrixExtendOperator.

#### getMatrixExtendOperatorOrBuilder

    PlanProtocol.MatrixExtendOperatorOrBuilder getMatrixExtendOperatorOrBuilder()

`.xg.db.sqlPlans.MatrixExtendOperator matrix_extend_operator = 47;`

#### hasTableScanOperator

    boolean hasTableScanOperator()

`.xg.db.sqlPlans.TableScanOperator table_scan_operator = 48;`

Returns:
  Whether the tableScanOperator field is set.

#### getTableScanOperator

    PlanProtocol.TableScanOperator getTableScanOperator()

`.xg.db.sqlPlans.TableScanOperator table_scan_operator = 48;`

Returns:
  The tableScanOperator.

#### getTableScanOperatorOrBuilder

    PlanProtocol.TableScanOperatorOrBuilder getTableScanOperatorOrBuilder()

`.xg.db.sqlPlans.TableScanOperator table_scan_operator = 48;`

#### hasIncrementingIntOperator

    boolean hasIncrementingIntOperator()

`.xg.db.sqlPlans.IncrementingIntOperator incrementing_int_operator = 49;`

Returns:
  Whether the incrementingIntOperator field is set.

#### getIncrementingIntOperator

    PlanProtocol.IncrementingIntOperator getIncrementingIntOperator()

`.xg.db.sqlPlans.IncrementingIntOperator incrementing_int_operator = 49;`

Returns:
  The incrementingIntOperator.

#### getIncrementingIntOperatorOrBuilder

    PlanProtocol.IncrementingIntOperatorOrBuilder getIncrementingIntOperatorOrBuilder()

`.xg.db.sqlPlans.IncrementingIntOperator incrementing_int_operator = 49;`

#### hasGenerateOperator

    boolean hasGenerateOperator()

`.xg.db.sqlPlans.GenerateOperator generate_operator = 50;`

Returns:
  Whether the generateOperator field is set.

#### getGenerateOperator

    PlanProtocol.GenerateOperator getGenerateOperator()

`.xg.db.sqlPlans.GenerateOperator generate_operator = 50;`

Returns:
  The generateOperator.

#### getGenerateOperatorOrBuilder

    PlanProtocol.GenerateOperatorOrBuilder getGenerateOperatorOrBuilder()

`.xg.db.sqlPlans.GenerateOperator generate_operator = 50;`

#### hasSuperSelectOperator

    boolean hasSuperSelectOperator()

`.xg.db.sqlPlans.SuperSelectOperator super_select_operator = 51;`

Returns:
  Whether the superSelectOperator field is set.

#### getSuperSelectOperator

    PlanProtocol.SuperSelectOperator getSuperSelectOperator()

`.xg.db.sqlPlans.SuperSelectOperator super_select_operator = 51;`

Returns:
  The superSelectOperator.

#### getSuperSelectOperatorOrBuilder

    PlanProtocol.SuperSelectOperatorOrBuilder getSuperSelectOperatorOrBuilder()

`.xg.db.sqlPlans.SuperSelectOperator super_select_operator = 51;`

#### hasQueriesVirtualOperator

    boolean hasQueriesVirtualOperator()

`.xg.db.sqlPlans.QueriesVirtualOperator queries_virtual_operator = 52;`

Returns:
  Whether the queriesVirtualOperator field is set.

#### getQueriesVirtualOperator

    PlanProtocol.QueriesVirtualOperator getQueriesVirtualOperator()

`.xg.db.sqlPlans.QueriesVirtualOperator queries_virtual_operator = 52;`

Returns:
  The queriesVirtualOperator.

#### getQueriesVirtualOperatorOrBuilder

    PlanProtocol.QueriesVirtualOperatorOrBuilder getQueriesVirtualOperatorOrBuilder()

`.xg.db.sqlPlans.QueriesVirtualOperator queries_virtual_operator = 52;`

#### hasRandomIntOperator

    boolean hasRandomIntOperator()

`.xg.db.sqlPlans.RandomIntOperator random_int_operator = 53;`

Returns:
  Whether the randomIntOperator field is set.

#### getRandomIntOperator

    PlanProtocol.RandomIntOperator getRandomIntOperator()

`.xg.db.sqlPlans.RandomIntOperator random_int_operator = 53;`

Returns:
  The randomIntOperator.

#### getRandomIntOperatorOrBuilder

    PlanProtocol.RandomIntOperatorOrBuilder getRandomIntOperatorOrBuilder()

`.xg.db.sqlPlans.RandomIntOperator random_int_operator = 53;`

#### hasColumnEmitterOperator

    boolean hasColumnEmitterOperator()

`.xg.db.sqlPlans.ColumnEmitterOperator column_emitter_operator = 54;`

Returns:
  Whether the columnEmitterOperator field is set.

#### getColumnEmitterOperator

    PlanProtocol.ColumnEmitterOperator getColumnEmitterOperator()

`.xg.db.sqlPlans.ColumnEmitterOperator column_emitter_operator = 54;`

Returns:
  The columnEmitterOperator.

#### getColumnEmitterOperatorOrBuilder

    PlanProtocol.ColumnEmitterOperatorOrBuilder getColumnEmitterOperatorOrBuilder()

`.xg.db.sqlPlans.ColumnEmitterOperator column_emitter_operator = 54;`

#### hasUnionOperator

    boolean hasUnionOperator()

`.xg.db.sqlPlans.UnionOperator union_operator = 55;`

Returns:
  Whether the unionOperator field is set.

#### getUnionOperator

    PlanProtocol.UnionOperator getUnionOperator()

`.xg.db.sqlPlans.UnionOperator union_operator = 55;`

Returns:
  The unionOperator.

#### getUnionOperatorOrBuilder

    PlanProtocol.UnionOperatorOrBuilder getUnionOperatorOrBuilder()

`.xg.db.sqlPlans.UnionOperator union_operator = 55;`

#### hasIntersectOperator

    boolean hasIntersectOperator()

`.xg.db.sqlPlans.IntersectOperator intersect_operator = 56;`

Returns:
  Whether the intersectOperator field is set.

#### getIntersectOperator

    PlanProtocol.IntersectOperator getIntersectOperator()

`.xg.db.sqlPlans.IntersectOperator intersect_operator = 56;`

Returns:
  The intersectOperator.

#### getIntersectOperatorOrBuilder

    PlanProtocol.IntersectOperatorOrBuilder getIntersectOperatorOrBuilder()

`.xg.db.sqlPlans.IntersectOperator intersect_operator = 56;`

#### hasExceptOperator

    boolean hasExceptOperator()

`.xg.db.sqlPlans.ExceptOperator except_operator = 57;`

Returns:
  Whether the exceptOperator field is set.

#### getExceptOperator

    PlanProtocol.ExceptOperator getExceptOperator()

`.xg.db.sqlPlans.ExceptOperator except_operator = 57;`

Returns:
  The exceptOperator.

#### getExceptOperatorOrBuilder

    PlanProtocol.ExceptOperatorOrBuilder getExceptOperatorOrBuilder()

`.xg.db.sqlPlans.ExceptOperator except_operator = 57;`

#### hasSwitchOperator

    boolean hasSwitchOperator()

`.xg.db.sqlPlans.SwitchOperator switch_operator = 58;`

Returns:
  Whether the switchOperator field is set.

#### getSwitchOperator

    PlanProtocol.SwitchOperator getSwitchOperator()

`.xg.db.sqlPlans.SwitchOperator switch_operator = 58;`

Returns:
  The switchOperator.

#### getSwitchOperatorOrBuilder

    PlanProtocol.SwitchOperatorOrBuilder getSwitchOperatorOrBuilder()

`.xg.db.sqlPlans.SwitchOperator switch_operator = 58;`

#### hasProductOperator

    boolean hasProductOperator()

`.xg.db.sqlPlans.ProductOperator product_operator = 59;`

Returns:
  Whether the productOperator field is set.

#### getProductOperator

    PlanProtocol.ProductOperator getProductOperator()

`.xg.db.sqlPlans.ProductOperator product_operator = 59;`

Returns:
  The productOperator.

#### getProductOperatorOrBuilder

    PlanProtocol.ProductOperatorOrBuilder getProductOperatorOrBuilder()

`.xg.db.sqlPlans.ProductOperator product_operator = 59;`

#### hasHashJoinOperator

    boolean hasHashJoinOperator()

`.xg.db.sqlPlans.HashJoinOperator hash_join_operator = 60;`

Returns:
  Whether the hashJoinOperator field is set.

#### getHashJoinOperator

    PlanProtocol.HashJoinOperator getHashJoinOperator()

`.xg.db.sqlPlans.HashJoinOperator hash_join_operator = 60;`

Returns:
  The hashJoinOperator.

#### getHashJoinOperatorOrBuilder

    PlanProtocol.HashJoinOperatorOrBuilder getHashJoinOperatorOrBuilder()

`.xg.db.sqlPlans.HashJoinOperator hash_join_operator = 60;`

#### hasEosOperator

    boolean hasEosOperator()

`.xg.db.sqlPlans.EosOperator eos_operator = 61;`

Returns:
  Whether the eosOperator field is set.

#### getEosOperator

    PlanProtocol.EosOperator getEosOperator()

`.xg.db.sqlPlans.EosOperator eos_operator = 61;`

Returns:
  The eosOperator.

#### getEosOperatorOrBuilder

    PlanProtocol.EosOperatorOrBuilder getEosOperatorOrBuilder()

`.xg.db.sqlPlans.EosOperator eos_operator = 61;`

#### hasTeeOperator

    boolean hasTeeOperator()

`.xg.db.sqlPlans.TeeOperator tee_operator = 62;`

Returns:
  Whether the teeOperator field is set.

#### getTeeOperator

    PlanProtocol.TeeOperator getTeeOperator()

`.xg.db.sqlPlans.TeeOperator tee_operator = 62;`

Returns:
  The teeOperator.

#### getTeeOperatorOrBuilder

    PlanProtocol.TeeOperatorOrBuilder getTeeOperatorOrBuilder()

`.xg.db.sqlPlans.TeeOperator tee_operator = 62;`

#### hasShuffleOperator

    boolean hasShuffleOperator()

`.xg.db.sqlPlans.ShuffleOperator shuffle_operator = 63;`

Returns:
  Whether the shuffleOperator field is set.

#### getShuffleOperator

    PlanProtocol.ShuffleOperator getShuffleOperator()

`.xg.db.sqlPlans.ShuffleOperator shuffle_operator = 63;`

Returns:
  The shuffleOperator.

#### getShuffleOperatorOrBuilder

    PlanProtocol.ShuffleOperatorOrBuilder getShuffleOperatorOrBuilder()

`.xg.db.sqlPlans.ShuffleOperator shuffle_operator = 63;`

#### hasBroadcastOperator

    boolean hasBroadcastOperator()

`.xg.db.sqlPlans.BroadcastOperator broadcast_operator = 64;`

Returns:
  Whether the broadcastOperator field is set.

#### getBroadcastOperator

    PlanProtocol.BroadcastOperator getBroadcastOperator()

`.xg.db.sqlPlans.BroadcastOperator broadcast_operator = 64;`

Returns:
  The broadcastOperator.

#### getBroadcastOperatorOrBuilder

    PlanProtocol.BroadcastOperatorOrBuilder getBroadcastOperatorOrBuilder()

`.xg.db.sqlPlans.BroadcastOperator broadcast_operator = 64;`

#### hasWindowOperator

    boolean hasWindowOperator()

`.xg.db.sqlPlans.WindowOperator window_operator = 65;`

Returns:
  Whether the windowOperator field is set.

#### getWindowOperator

    PlanProtocol.WindowOperator getWindowOperator()

`.xg.db.sqlPlans.WindowOperator window_operator = 65;`

Returns:
  The windowOperator.

#### getWindowOperatorOrBuilder

    PlanProtocol.WindowOperatorOrBuilder getWindowOperatorOrBuilder()

`.xg.db.sqlPlans.WindowOperator window_operator = 65;`

#### hasErrorOperator

    boolean hasErrorOperator()

`.xg.db.sqlPlans.ErrorOperator error_operator = 66;`

Returns:
  Whether the errorOperator field is set.

#### getErrorOperator

    PlanProtocol.ErrorOperator getErrorOperator()

`.xg.db.sqlPlans.ErrorOperator error_operator = 66;`

Returns:
  The errorOperator.

#### getErrorOperatorOrBuilder

    PlanProtocol.ErrorOperatorOrBuilder getErrorOperatorOrBuilder()

`.xg.db.sqlPlans.ErrorOperator error_operator = 66;`

#### hasIndexAggOperator

    boolean hasIndexAggOperator()

`.xg.db.sqlPlans.IndexAggOperator index_agg_operator = 67;`

Returns:
  Whether the indexAggOperator field is set.

#### getIndexAggOperator

    PlanProtocol.IndexAggOperator getIndexAggOperator()

`.xg.db.sqlPlans.IndexAggOperator index_agg_operator = 67;`

Returns:
  The indexAggOperator.

#### getIndexAggOperatorOrBuilder

    PlanProtocol.IndexAggOperatorOrBuilder getIndexAggOperatorOrBuilder()

`.xg.db.sqlPlans.IndexAggOperator index_agg_operator = 67;`

#### hasOrderedAggOperator

    boolean hasOrderedAggOperator()

`.xg.db.sqlPlans.OrderedAggOperator ordered_agg_operator = 68;`

Returns:
  Whether the orderedAggOperator field is set.

#### getOrderedAggOperator

    PlanProtocol.OrderedAggOperator getOrderedAggOperator()

`.xg.db.sqlPlans.OrderedAggOperator ordered_agg_operator = 68;`

Returns:
  The orderedAggOperator.

#### getOrderedAggOperatorOrBuilder

    PlanProtocol.OrderedAggOperatorOrBuilder getOrderedAggOperatorOrBuilder()

`.xg.db.sqlPlans.OrderedAggOperator ordered_agg_operator = 68;`

#### hasIndexDistinctOperator

    boolean hasIndexDistinctOperator()

`.xg.db.sqlPlans.IndexDistinctOperator index_distinct_operator = 69;`

Returns:
  Whether the indexDistinctOperator field is set.

#### getIndexDistinctOperator

    PlanProtocol.IndexDistinctOperator getIndexDistinctOperator()

`.xg.db.sqlPlans.IndexDistinctOperator index_distinct_operator = 69;`

Returns:
  The indexDistinctOperator.

#### getIndexDistinctOperatorOrBuilder

    PlanProtocol.IndexDistinctOperatorOrBuilder getIndexDistinctOperatorOrBuilder()

`.xg.db.sqlPlans.IndexDistinctOperator index_distinct_operator = 69;`

#### hasOrderedDistinctOperator

    boolean hasOrderedDistinctOperator()

`.xg.db.sqlPlans.OrderedDistinctOperator ordered_distinct_operator = 70;`

Returns:
  Whether the orderedDistinctOperator field is set.

#### getOrderedDistinctOperator

    PlanProtocol.OrderedDistinctOperator getOrderedDistinctOperator()

`.xg.db.sqlPlans.OrderedDistinctOperator ordered_distinct_operator = 70;`

Returns:
  The orderedDistinctOperator.

#### getOrderedDistinctOperatorOrBuilder

    PlanProtocol.OrderedDistinctOperatorOrBuilder getOrderedDistinctOperatorOrBuilder()

`.xg.db.sqlPlans.OrderedDistinctOperator ordered_distinct_operator = 70;`

#### hasIncrementingBigintOperator

    boolean hasIncrementingBigintOperator()

`.xg.db.sqlPlans.IncrementingBigIntOperator incrementing_bigint_operator = 71;`

Returns:
  Whether the incrementingBigintOperator field is set.

#### getIncrementingBigintOperator

    PlanProtocol.IncrementingBigIntOperator getIncrementingBigintOperator()

`.xg.db.sqlPlans.IncrementingBigIntOperator incrementing_bigint_operator = 71;`

Returns:
  The incrementingBigintOperator.

#### getIncrementingBigintOperatorOrBuilder

    PlanProtocol.IncrementingBigIntOperatorOrBuilder getIncrementingBigintOperatorOrBuilder()

`.xg.db.sqlPlans.IncrementingBigIntOperator incrementing_bigint_operator = 71;`

#### hasIndexCountStarOperator

    boolean hasIndexCountStarOperator()

`.xg.db.sqlPlans.IndexCountStarOperator index_count_star_operator = 72;`

Returns:
  Whether the indexCountStarOperator field is set.

#### getIndexCountStarOperator

    PlanProtocol.IndexCountStarOperator getIndexCountStarOperator()

`.xg.db.sqlPlans.IndexCountStarOperator index_count_star_operator = 72;`

Returns:
  The indexCountStarOperator.

#### getIndexCountStarOperatorOrBuilder

    PlanProtocol.IndexCountStarOperatorOrBuilder getIndexCountStarOperatorOrBuilder()

`.xg.db.sqlPlans.IndexCountStarOperator index_count_star_operator = 72;`

#### hasGdcLookupOperator

    boolean hasGdcLookupOperator()

`.xg.db.sqlPlans.GdcLookupOperator gdc_lookup_operator = 73;`

Returns:
  Whether the gdcLookupOperator field is set.

#### getGdcLookupOperator

    PlanProtocol.GdcLookupOperator getGdcLookupOperator()

`.xg.db.sqlPlans.GdcLookupOperator gdc_lookup_operator = 73;`

Returns:
  The gdcLookupOperator.

#### getGdcLookupOperatorOrBuilder

    PlanProtocol.GdcLookupOperatorOrBuilder getGdcLookupOperatorOrBuilder()

`.xg.db.sqlPlans.GdcLookupOperator gdc_lookup_operator = 73;`

#### hasReferenceOperator

    boolean hasReferenceOperator()

`.xg.db.sqlPlans.ReferenceOperator reference_operator = 74;`

Returns:
  Whether the referenceOperator field is set.

#### getReferenceOperator

    PlanProtocol.ReferenceOperator getReferenceOperator()

`.xg.db.sqlPlans.ReferenceOperator reference_operator = 74;`

Returns:
  The referenceOperator.

#### getReferenceOperatorOrBuilder

    PlanProtocol.ReferenceOperatorOrBuilder getReferenceOperatorOrBuilder()

`.xg.db.sqlPlans.ReferenceOperator reference_operator = 74;`

#### hasModifySchemaOperator

    boolean hasModifySchemaOperator()

`.xg.db.sqlPlans.ModifySchemaOperator modify_schema_operator = 75;`

Returns:
  Whether the modifySchemaOperator field is set.

#### getModifySchemaOperator

    PlanProtocol.ModifySchemaOperator getModifySchemaOperator()

`.xg.db.sqlPlans.ModifySchemaOperator modify_schema_operator = 75;`

Returns:
  The modifySchemaOperator.

#### getModifySchemaOperatorOrBuilder

    PlanProtocol.ModifySchemaOperatorOrBuilder getModifySchemaOperatorOrBuilder()

`.xg.db.sqlPlans.ModifySchemaOperator modify_schema_operator = 75;`

#### hasSystemConfigurationVirtualOperator

    boolean hasSystemConfigurationVirtualOperator()

`.xg.db.sqlPlans.SystemConfigurationVirtualOperator system_configuration_virtual_operator = 76;`

Returns:
  Whether the systemConfigurationVirtualOperator field is set.

#### getSystemConfigurationVirtualOperator

    PlanProtocol.SystemConfigurationVirtualOperator getSystemConfigurationVirtualOperator()

`.xg.db.sqlPlans.SystemConfigurationVirtualOperator system_configuration_virtual_operator = 76;`

Returns:
  The systemConfigurationVirtualOperator.

#### getSystemConfigurationVirtualOperatorOrBuilder

    PlanProtocol.SystemConfigurationVirtualOperatorOrBuilder getSystemConfigurationVirtualOperatorOrBuilder()

`.xg.db.sqlPlans.SystemConfigurationVirtualOperator system_configuration_virtual_operator = 76;`

#### hasTableCardVirtualOperator

    boolean hasTableCardVirtualOperator()

`.xg.db.sqlPlans.TableCardVirtualOperator table_card_virtual_operator = 77;`

Returns:
  Whether the tableCardVirtualOperator field is set.

#### getTableCardVirtualOperator

    PlanProtocol.TableCardVirtualOperator getTableCardVirtualOperator()

`.xg.db.sqlPlans.TableCardVirtualOperator table_card_virtual_operator = 77;`

Returns:
  The tableCardVirtualOperator.

#### getTableCardVirtualOperatorOrBuilder

    PlanProtocol.TableCardVirtualOperatorOrBuilder getTableCardVirtualOperatorOrBuilder()

`.xg.db.sqlPlans.TableCardVirtualOperator table_card_virtual_operator = 77;`

#### hasColCardVirtualOperator

    boolean hasColCardVirtualOperator()

`.xg.db.sqlPlans.ColCardVirtualOperator col_card_virtual_operator = 78;`

Returns:
  Whether the colCardVirtualOperator field is set.

#### getColCardVirtualOperator

    PlanProtocol.ColCardVirtualOperator getColCardVirtualOperator()

`.xg.db.sqlPlans.ColCardVirtualOperator col_card_virtual_operator = 78;`

Returns:
  The colCardVirtualOperator.

#### getColCardVirtualOperatorOrBuilder

    PlanProtocol.ColCardVirtualOperatorOrBuilder getColCardVirtualOperatorOrBuilder()

`.xg.db.sqlPlans.ColCardVirtualOperator col_card_virtual_operator = 78;`

#### hasAvgColSizeVirtualOperator

    boolean hasAvgColSizeVirtualOperator()

`.xg.db.sqlPlans.AvgColSizeVirtualOperator avg_col_size_virtual_operator = 79;`

Returns:
  Whether the avgColSizeVirtualOperator field is set.

#### getAvgColSizeVirtualOperator

    PlanProtocol.AvgColSizeVirtualOperator getAvgColSizeVirtualOperator()

`.xg.db.sqlPlans.AvgColSizeVirtualOperator avg_col_size_virtual_operator = 79;`

Returns:
  The avgColSizeVirtualOperator.

#### getAvgColSizeVirtualOperatorOrBuilder

    PlanProtocol.AvgColSizeVirtualOperatorOrBuilder getAvgColSizeVirtualOperatorOrBuilder()

`.xg.db.sqlPlans.AvgColSizeVirtualOperator avg_col_size_virtual_operator = 79;`

#### hasColDistVirtualOperator

    boolean hasColDistVirtualOperator()

`.xg.db.sqlPlans.ColDistVirtualOperator col_dist_virtual_operator = 80;`

Returns:
  Whether the colDistVirtualOperator field is set.

#### getColDistVirtualOperator

    PlanProtocol.ColDistVirtualOperator getColDistVirtualOperator()

`.xg.db.sqlPlans.ColDistVirtualOperator col_dist_virtual_operator = 80;`

Returns:
  The colDistVirtualOperator.

#### getColDistVirtualOperatorOrBuilder

    PlanProtocol.ColDistVirtualOperatorOrBuilder getColDistVirtualOperatorOrBuilder()

`.xg.db.sqlPlans.ColDistVirtualOperator col_dist_virtual_operator = 80;`

#### getTestoomflagsList

    List<Long> getTestoomflagsList()

    Vector of OOM flags for testing

`repeated uint64 testoomflags = 200;`

Returns:
  A list containing the testoomflags.

#### getTestoomflagsCount

    int getTestoomflagsCount()

    Vector of OOM flags for testing

`repeated uint64 testoomflags = 200;`

Returns:
  The count of testoomflags.

#### getTestoomflags

    long getTestoomflags​(int index)

    Vector of OOM flags for testing

`repeated uint64 testoomflags = 200;`

Parameters:
  `index` - The index of the element to return.
Returns:
  The testoomflags at the given index.

#### getRequestOneofCase

    PlanProtocol.Operator.RequestOneofCase getRequestOneofCase()